// This example script shows how define and use variables of type IMAGE.
// The script assumes, that exactly one image is opened and has the image-letter B.

result("Starting script #5 \n")		// just a output text line
image IMG1,IMG2,IMG3				// defines three variables with of the type IMAGE

IMG1 = B				// COPIES the image with image-letter B into the variable IMG1
IMG1 = IMG1 * (-1)		// IMG1 is a new image - differnt of B! Changing IMG1 does not change B
						// IMG1 is not visible, as the image IMG1 is not yet displayed.

ShowImage( IMG1 )		// Displays the image IMG1 in a new image window "Untitled"

OKDialog("Continue")	// Prompts a dialog with OK-button. Script continues after OK is pressed.

DeleteImage( IMG1 )		// Deletes the image IMG1. (If the image is shown, the image window is
						// deleted, too. 

GetFrontImage(IMG2)		// The fronstmost image (top image of all displayed images) is ASSIGNED
IMG2[0,0,100,100] = 10	// to the variable IMG2. IMG2 is this image now. Changing IMG2 will 
B[0,200,100,300]  = 10	// change the image. The same image can now be addressed by its
						// image-letter (B) and by the variable named IMG2

IMG3 := RealImage("I3",4,100,100)	// Creates a new image with name "I3" and size (100x100)
									// The image is of type "real numbers" with 4-bytes/pixel
IMG3 = 0							// Sets the value of all pixels to 0.
ShowImage(IMG3)						// Displays the image.