/**** ImageList functions ****/

taggroup IL_Create()
  {
  taggroup IMGlist = NewTagList()
  Image  current
  current.GetFrontImage()
  While(current.ImageIsValid())
    {
    IMGlist.TagGroupInsertTagAsLong(Infinity(),current.ImageGetID())
    current := FindNextImage(current)		
    }
    return IMGlist
  }

number IL_Size(taggroup IMGlist) return TagGroupCountTags(IMGlist)

number IL_GetID(taggroup IMGlist, number position)
  {
  number ID
  IF (IMGlist.TagGroupGetIndexedTagAsLong(position,ID)) return ID
  return 0
  }

image IL_GetImage(taggroup IMGlist, number position)
  {
  number ID
  image test := RealImage("UNKNOWN IMAGE",4,2,2)
  ID = IL_GetID(IMGlist,position)
  If (ID) IF (GetImageFromID(Test,ID)) return test
  result("\n WARNING: Image {"+position+"} ID:"+ID+" not found!\n")
  return test
  }

/****MAIN PROGRAM****/
taggroup LIST
number   NRimg,i

LIST  = IL_Create()		// Create a list of all currently displayed images.
NRimg = IL_Size(LIST)	// Get the number of images in the list.

for (i=0;i<NRimg;i++)	// count from 0 to size-1 !
	{
	IL_GetImage(LIST,i).SetName(IL_GetImage(LIST,i).GetName()+"*")
	}

	IL_GetImage(LIST,10).SetName(IL_GetImage(LIST,10).GetName()+"*")
