// TASK 04b: 
//	Write and test a script which does the following:
//  1) 	Get the front most image. (Which should have a selection.
//	2) 	Read the selection of the image, and set the display limits 
//		to the minimum and maximum value of this image area.
//	3)	Resize the image window to the aspect ratio of the selection,
//		but with the larger dimension of the selection being 500 pixels.
//	4)	Place the image window in the top-left corner of the DM application
//		window,but below the menu-line and right of floating tool windows. 
//	5)	Zoom and place the content of the image window, so that the selected 
//		area is shown with maximum zoom fitting to the window.

image IMG
number t,l,b,r,ratio
number wx,wy, zoom
GetFrontImage(IMG)
GetSelection(IMG,t,l,b,r)
SetSurvey(IMG,0)
SetLimits(IMG,min(IMG[]),max(IMG[]))

ratio = (r-l)/(b-t)
GetWindowSize(IMG,wx,wy)

IF (ratio<1)	SetWindowSize(IMG,ratio*wy,wy)
ELSE			SetWindowSize(IMG,wx,wx/ratio)

SetWindowPosition(IMG,145,35)
GetWindowSize(IMG,wx,wy)

zoom = min(Wy/(b-t),wx/(r-l))
SetZoom(IMG,zoom)

SetImagePositionWithinWindow(IMG,-l*zoom,-t*zoom)