/* Example on advanced area indexing using sliced */

image IMG1,IMG2,IMG3
number sx,sy
object mySlice,mySlice2


// The following script "mixes" two images by alternatingly copying one line.
// The scirpt assumes that both images are of equal size!
IMG1.GetFrontImage()
IMG2:=FindNextImage(IMG1)
IMG1.Getsize(sx,sy)
mySlice = NewImageDataSlice(2,2,0,0,0,sx/2,2,1,sy,1)
IMG3 = IMG1
IMG3[mySlice]=IMG2[myslice]
IMG3.showimage()

// The following script places a 10pixel grid on an image
IMG1.GetfrontImage()
IMG1.Getsize(sx,sy)
number width,height
width = 11
height= 15
mySlice = NewImageDataSlice(2,2,0,0,0,round(sx/width),width,1,sy,1)
IMG1[mySlice]=0
mySlice = NewImageDataSlice(2,2,0,0,0,sx,1,1,round(sy/height),height)
IMG1[mySlice]=0

// The following scirpt "spreads" and image to a 3times larger image
// An alternate version of defining a the slice object is shown
IMG1.GetFrontImage()
IMG1.Getsize(sx,sy)
myslice2 = NewImageDataSlice(0,0)
mySlice2.SetNumDimensions(2)
mySlice2.SetDimensionStartIndex(0,0)
mySlice2.SetDimensionStartIndex(1,0)
mySlice2.SetDimensionSlice(0,0,sx,3)
mySlice2.SetDimensionSlice(1,1,sy,3)
IMG3 := RealImage("",4,sx*3,sy*3)
IMG3=0
IMG3[myslice2]=IMG1			
// Note, instead of using slice, it would have been possible to write img3[icol*3,irow*3]=IMG1 !!
IMG3.Showimage()
