// This example script shows some commands to use image selections (ROIs)

result("Starting script #5b \n")		// just a output text line

image  IMG
IMG := RealImage("Test",4,256,256) 
ShowImage(IMG)

ClearSelection(IMG)				// Deletes a selection in the image

SetSelection(IMG,10,20,150,240)	// Sets a new ROI in the image. The areas is defined by
								// the coordinates of two points: top-left , bottm-right
								// Existing ROI(s) are automatically deleted.
number t,l,b,r
GetSelection(IMG,t,l,b,r)		// Reads the coordinates of the current ROI in the image.
								// If no ROI is present, it reads the coordinates of the
								// whole image ( 0/0 , sizeX/sizeY)

result("The current selection is:\n")
result(" TOP:"+t+" LEFT:"+l+" BOTTOM:"+b+" RIGHT:"+r+"\n")
