// This example shows how to "cycle" through all displayed 
// images to perform a task on all open (and displayed) images.
// The command "FindNextImage()" returns the image which comes
// next to the given image in the internal "sorting" list. 
// (This is the list shown in the Window-menu, where "top" means
// most to the front, and "next" therefore "behind" or "below".

Image  current
current.GetFrontImage()
While(Current.ImageIsValid())
	{
	Current.Setname(Current.Getname()+"*")	// Simply a task
	current := FindNextImage(current)		// Get the next image
	}

// The following example will run endlessly, because of the
// showimage() command! The command brings the current image
// to the front of the stack. The "next" image will therefore be
// the second of the stack. Then, this image is brought on top,
// and again "FindNextImage" returns the second, and so on...
 

OKDialog("The next part runs endlessly! Press SPACE to stop.")
current.GetFrontImage()
While(Current.ImageIsValid())
	{
	Current.Setname(Current.Getname()+"*")	// Simply a task
	Current.ShowImage()
	current := FindNextImage(current)		// Get the next image
	If (spaceDOWN()) exit(0)
	}
